ZWRITEENABLE(3CgFX)

NAME
ZWriteEnable - 3D API Z write enable

USAGE
ZWriteEnable = bool(enable)

VALID ENUMERANTS
enable: true, false

DESCRIPTION
Specify whether the depth buffer is enabled for writing. See the OpenGL glDepthMask manual page for details. See the D3DRS_ZWRITEENABLE render state description for DirectX 9.

The standard reset callback sets the ZWriteEnable state to bool(false).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
ClearDepth, DepthBias, DepthBounds, DepthBoundsEnable, DepthClampEnable, DepthTestEnable, DepthFunc, DepthMask, DepthRange, DepthTestEnable, SlopScaleDepthBias, ZEnable, ZFunc